## quik 2.0e

=== quik/Makefile ===
all:	quik

COPTS = -static -O
CFLAGS = -I../include $(COPTS)

quik: quik.c
	$(CC) $(CFLAGS) -o quik quik.c

clean:
	rm -f *.o *~ quik

## quik 2.1

=== Makefile ===
DIRS=	util first second quik
.EXPORT_ALL_VARIABLES:
CC=gcc

all clean dep depend:
	@for I in $(DIRS); do cd $$I; make $@ || exit 1; cd ..; done

install:
	install -d -m 755 $(DESTDIR)/sbin
	install -d -m 755 $(DESTDIR)/boot
	install -d -m 755 $(DESTDIR)/etc
	install -d -m 755 $(DESTDIR)/usr/man/man5
	install -d -m 755 $(DESTDIR)/usr/man/man8
	install -s quik/quik $(DESTDIR)/sbin
	install -m 444 first/first.b second/second.b second/second $(DESTDIR)/boot
	if [ -f $(DESTDIR)/etc/quik.conf ]; then :; \
	  else set -x; install -m 644 etc/quik.conf $(DESTDIR)/etc; fi
	install -m 444 man/quik.conf.5 $(DESTDIR)/usr/man/man5
	install -m 444 man/quik.8 man/bootstrap.8 $(DESTDIR)/usr/man/man8

=== first/Makefile ===
ASFLAGS = -D__ASSEMBLY__ -I../include
LDFLAGS = -T ld.script -Ttext 3f4000

all:	first.b

first.b: first
	size first
#	../util/elfextract first first.b
	dd if=first of=first.b bs=1k count=1 skip=16

OBJS = first.o

first.o: ../include/layout.h

first: $(OBJS)
	ld -o first $(LDFLAGS) $(OBJS)

clean:
	rm -f *.o *.s *~ first first.b

=== second/Makefile ===
##
## Linux Loader for Macintosh
##

CFLAGS = -I../include -O2 -D__NO_STRING_INLINES

LDFLAGS= -Ttext 0x3e0000 

OBJS =	crt0.o printf.o malloc.o main.o cmdline.o disk.o file.o \
	cfg.o strtol.o prom.o cache.o string.o setjmp.o ctype.o \
	nosys.o 

all: second.b

second: $(OBJS)
	$(LD) $(LDFLAGS) -Bstatic -o second $(OBJS) -lext2fs

crt0.o:        crt0.S
main.o:        main.c quik.h
malloc.o:      malloc.c quik.h
printf.o:      printf.c quik.h
cmdline.o:     cmdline.c quik.h
disk.o:	       disk.c quik.h
file.o:	       file.c quik.h
cfg.o:	       cfg.c quik.h

clean:
	$(RM) *.o second second.b core *~

second.b: second
	../util/elfextract second second.b

=== util/Makefile ===
CFLAGS=	-O2

all:	elfextract

elfextract: elfextract.c
	$(CC) $(CFLAGS) -o elfextract elfextract.c

clean:
	rm -f *~ elfextract

install:

=== debian/changelog ===
quik (2.1-9.1ubuntu1) maverick; urgency=low

  * Build with -fno-stack-protector.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Oct 2010 18:28:50 +0200

quik (2.1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to source format "3.0 (quilt)".
  * Apply patch by Lennart Sorensen to fix FTBFS. (Closes: #512429)
  * Do not prompt user if debconf is running. Patch by Aurelien Jarno.
    (Closes: #513182) 

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 01 Jul 2010 20:47:48 -0700

quik (2.1-9) unstable; urgency=low

  * Fixed buildfailures (Closes: #410891)
  * Added patch to prevent splitting OF command lines (Closes: #388307)

 --  Peter De Schrijver (p2) <p2@debian.org>  Wed, 14 Feb 2007 23:29:21 +0000

quik (2.1-8) unstable; urgency=low

  * Fixed strlen prototype (Closes: #362321)

 --  Peter De Schrijver (p2) <p2@debian.org>  Fri, 14 Apr 2006 00:10:57 +0200

quik (2.1-7) unstable; urgency=low

  * Fixed bug in handling spare/faulty drives in a MD raid-1 config. 
    Thanks to Simon Vallet. (Closes: #326599)

 -- Peter De Schrijver (p2) <p2@debian.org>  Sun,  4 Sep 2005 20:59:37 +0200

quik (2.1-6) unstable; urgency=low

  * Added support for gzipped kernels.

 -- Peter De Schrijver (p2) <p2@debian.org>  Wed,  6 Apr 2005 01:05:43 +0200

quik (2.1-5) unstable; urgency=low

  * Added support for md devices. Thanks to Simon Vallet. (Closes: #298606)

 --  Peter De Schrijver (p2) <p2@debian.org>  Sun, 20 Mar 2005 22:58:46 -0600

quik (2.1-4) unstable; urgency=low

  * Cleanup source tree
  * Fixed wrong calls to qvprintf (closes: #294958)
  * Update maintainer field. (closes: #275935)

 -- Peter De Schrijver (p2) <p2@debian.org>  Mon, 14 Feb 2005 00:08:25 +0100

quik (2.1-3) unstable; urgency=low

  * Fixed Maintainers: and Uploaders: fields.
    (closes: #288096)
  * Made man pages UTF-8 safe.
  * Linda and Lintian are happy campers.

 -- Eric Côté <simon@nuit.ca>  Sun, 02 Jan 2005 05:34:58 -0500

quik (2.1-2) unstable; urgency=high

  * New version. A lot of added features, and changes.
  * Compiles and works with gcc 3.x.
  * Fixed sprintf().
  * Added initrd= to man page.
  * Added support to quik for booting from the ANS RAID controller.
  * Try to get this into sarge, as this will help with issues 
    there.
  * Sponsored by Jaakko Niemi <liiwi@debian.org>.

 -- Eric Côté <simon@nuit.ca>  Thu, 09 Dec 2004 04:41:34 -0500

quik (2.1-1) unstable; urgency=high

  * New version. A lot of added support, new features.
  * Added initrd support.
  * Added full support for kernels larger than ~5.1 MB 
    (closes: #259359).
  * See NEWS.Debian.
  * Many, many thanks and gratitude go to Peter 'p2' 
    De Schrijver <p2@mind.be> for his tremendous help in making 
    this possible.
  * Try to get this into sarge, as this will help with issues 
    there.

 -- Eric Côté <simon@nuit.ca>  Fri, 26 Nov 2004 04:16:33 -0500

quik (2.0e-11) unstable; urgency=low

  * Sponsored Upload
  * Hopefully *really* fix the postinst this time *sigh*, and 
    really close #275912 (closes: #275912).

 -- Jaakko Niemi <liiwi@debian.org>  Thu, 28 Oct 2004 20:45:07 +0300

quik (2.0e-10) unstable; urgency=low

  * Added some check in the postinst to check for Pegasos machines; 
    these should not run quik, but yaboot instead, as they are 
    NewWorld machines, not OldWorld (closes: #275912).
  * Sponsored by Jaakko Niemi <liiwi@debian.org>.
  * Added Jaakko Niemi to Uploaders.
  * Added an URI for where people can get the first.b for "Beige" G3s
    machines to NEWS.Debian.

 -- Eric Côté <simon@nuit.ca>  Thu, 21 Oct 2004 11:56:42 -0400

quik (2.0e-9) unstable; urgency=low

  * Adopted package.
  * Edited the top Makefile to point to /usr/share/man instead of
    /usr/man.
  * Corrected some typos in conf.empty.

 -- Eric Côté <simon@nuit.ca>  Mon, 18 Oct 2004 12:46:17 -0400

quik (2.0e-8) unstable; urgency=low

  * Orphaned the package, changed maintainer accordingly.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 16 Oct 2004 20:30:08 +0200

quik (2.0e-7) unstable; urgency=low

  * Add a patch by David Weinehall to make the postinst and preinst more
    POSIX compliant and hence more portable (closes: Bug#254929).

  * Include ext2fs/ext2_fs.h instead of linux/ext2_fs.h in two places, so
    the package builds from source again.

  * Updated to current policy version.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 17 Jun 2004 22:17:03 +0200

quik (2.0e-6) unstable; urgency=low

  * Add a patch by Mich Lanners to fix a bug concerning the scsi disk
    device designation (closes: Bug#217181).  Thanks to Chris Tillman for
    forwarding this.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 23 Oct 2003 07:29:27 +0200

quik (2.0e-5) unstable; urgency=low

  * Add a patch by Benjamin Herrenschmidt to increase the maximum size of
    the kernel that quik can handle (closes: Bug#215651, Bug#216584).

 -- Jens Schmalzing <jensen@debian.org>  Tue, 21 Oct 2003 17:14:48 +0200

quik (2.0e-4) unstable; urgency=low

  * Add a patch by Ethan Benson to handle symbolic links for kernel images
    (closes: Bug#181468).

  * Minor cleanup to appease lintian.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 20 Feb 2003 09:36:40 +0100

quik (2.0e-3) unstable; urgency=low

  * Add a patch to make G3-equipped PowerSurges boot (closes: Bug#173484).
    Thanks to Michael Lanners, who wrote the patch for Quik 1.3.1, and to
    Lee Cremeans, who ported it to the current version.

  * Add some remarks about the relationship to yaboot to the package
    description (closes: Bug#173626).

  * Force the use of gcc-2.95 for building.

 -- Jens Schmalzing <jensen@debian.org>  Wed, 22 Jan 2003 15:30:49 +0100

quik (2.0e-2) unstable; urgency=low

  * Make sure that quik does not run on NewWorld machines (closes:
    Bug#153675).  Thanks to Colin Walters for pointing this out and
    providing a patch.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 20 Jul 2002 20:34:31 +0200

quik (2.0e-1) unstable; urgency=low



=== debian/control ===
Source: quik
Section: base
Priority: important
Maintainer: Peter De Schrijver (p2) <p2@debian.org>
Uploaders: Jaakko Niemi <liiwi@debian.org>, Eric Côté <simon@nuit.ca>
Standards-Version: 3.6.2
Build-Depends: debhelper (>> 2.0.0), e2fslibs-dev, gcc (>= 1:2.95.4)

Package: quik
Architecture: powerpc
Depends: ${shlibs:Depends}
Description: Bootloader for PowerMac or CHRP systems
 The quik package provides the functionality necessary for booting a
 Linux Debian/PowerPC PowerMac or CHRP system from disk.  It includes
 first and second stage disk bootstrap and a program for installing the
 first stage bootstrap on the root disk.
 .
 Note that if you are running on a NewWorld machine, quik will be of
 limited use to you.  You should install yaboot instead.  It may even
 come handy on an OldWorld machine, since it provides the ofpath
 program and some documentation.

=== debian/rules ===
#!/usr/bin/make -f
#                                             -*- makefile -*-
# debian/rules file for the Debian/GNU Linux quik package
# Copyright 1998, 1999 by Hartmut Koptein <koptein@debian.org>

export DH_COMPAT=2
export DH_VERBOSE=1

package = quik

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	chmod +x debian/quikconfig
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs boot etc sbin usr/share/man usr/sbin usr/share/doc
	install -m 755 -g root -o root quik/quik debian/$(package)/sbin/$(package)
	install -m 644 -g root -o root first/first.b second/second.b debian/$(package)/boot
#	install -m 644 -g root -o root debian/bootinfo.txt debian/$(package)/boot/ppc
#	install -m 755 -g root -o root second/second debian/$(package)/boot/ppc
	install -m 755 -g root -o root debian/quikconfig debian/$(package)/usr/sbin
	dh_installdocs
	dh_installman man/quik.conf.5 man/quik.8 man/quikconfig.8
	dh_installexamples etc/quik.conf
	dh_installchangelogs ChangeLog
	dh_strip -v
	dh_compress
	dh_fixperms
#	chmod +x debian/$(package)/boot/ppc/second
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## quik python-1.2.0

=== Examples/QuikPythonDemo/requirements.txt ===
PyQt6>=6.5.0
asyncio>=3.4.3
typing_extensions>=4.0.0
